Package org.eclipse.wst.xsl.core.internal.model

## org.eclipse.wst.xsl.core.internal.model
Class StylesheetParserData

    public class StylesheetParserData
    extends java.lang.Object

This class is used to hold Data necessary for parsing and walking an XSL Stylesheet into a Model.

## Constructor Summary

`StylesheetParserData(java.util.Stack elementStack , java.util.Stack callTemplates , java.util.Stack functions)`

## Method Summary

`public java.util.Stack` | `getCallTemplates()`
`public org.eclipse.wst.xsl.core.model.Template` | `getCurrentTemplate()`
`public java.util.Stack` | `getElementStack()`
`public java.util.Stack` | `getFunctions()`
`public org.eclipse.wst.xsl.core.model.XSLElement` | `getParentEl()`
`public org.eclipse.wst.xsl.core.model.Stylesheet` | `getStylesheet()`
`public void` | `setCallTemplates(java.util.Stack callTemplates)`
`public void` | `setCurrentTemplate(org.eclipse.wst.xsl.core.model.Template currentTemplate)`
`public void` | `setElementStack(java.util.Stack elementStack)`
`public void` | `setFunctions(java.util.Stack functions)`
`public void` | `setParentEl(org.eclipse.wst.xsl.core.model.XSLElement parentEl)`
`public void` | `setStylesheet(org.eclipse.wst.xsl.core.model.Stylesheet sf)`

## Constructor Detail

## StylesheetParserData

`public StylesheetParserData(java.util.Stack elementStack , java.util.Stack callTemplates , java.util.Stack functions)`

## Methods Detail

## getCallTemplates

`public java.util.Stack getCallTemplates()`

### Returns

`java.util.Stack`

## getCurrentTemplate

`public org.eclipse.wst.xsl.core.model.Template getCurrentTemplate()`

### Returns

`org.eclipse.wst.xsl.core.model.Template`

## getElementStack

`public java.util.Stack getElementStack()`

### Returns

`java.util.Stack`

## getFunctions

`public java.util.Stack getFunctions()`

### Returns

`java.util.Stack`

## getParentEl

`public org.eclipse.wst.xsl.core.model.XSLElement getParentEl()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`

## getStylesheet

`public org.eclipse.wst.xsl.core.model.Stylesheet getStylesheet()`

### Returns

`org.eclipse.wst.xsl.core.model.Stylesheet`

## setCallTemplates

`public void setCallTemplates(java.util.Stack callTemplates)`

### Parameters

`callTemplates`

## setCurrentTemplate

`public void setCurrentTemplate(org.eclipse.wst.xsl.core.model.Template currentTemplate)`

### Parameters

`currentTemplate`

## setElementStack

`public void setElementStack(java.util.Stack elementStack)`

### Parameters

`elementStack`

## setFunctions

`public void setFunctions(java.util.Stack functions)`

### Parameters

`functions`

## setParentEl

`public void setParentEl(org.eclipse.wst.xsl.core.model.XSLElement parentEl)`

### Parameters

`parentEl`

## setStylesheet

`public void setStylesheet(org.eclipse.wst.xsl.core.model.Stylesheet sf)`

### Parameters

`sf`